Subject: RE: gcc-3.2-3: bootstrap build fails (HAVE_DECL_GETOPT not in config.h?)
From: "Michael H. Cox" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "Anurag Sharma" <[email-masked]>
Date: Sat, 7 Dec 2002 04:18:38 -0700

Anurag,

A might testy, ain't he ;-).  I'm sure he's got a lot of things on his
plate, so try to forgive him.  Most of the time he provides constructive
suggestions/advice.

Here's what I've found so far.  Anyone else that has more info/corrections,
please chime in.

There is a GCC PR 8351 (http://gcc.gnu.org/cgi-bin/gnatsweb.pl) that seems
to describe the problem we're seeing, although the PR is for release 3.3.
Browsing through the viewcvs output
(http://subversions.gnu.org/cgi-bin/viewcvs/gcc/gcc/include/getopt.h?graph=1
), it looks like getopt.h is fixed in the tagged delta, gcc_3_2_1_release
under the gcc-3_2-branch, but not the tagged delta, gcc_3_2_release aka
gcc-3_2-branchpoint.  The fix is also in cygwin-mingw-gcc-3_2_1-branch, but
not the cygwin-mingw-gcc-3_2-branch.  I'm not sure what version the src
tarball downloaded by setup is, but it doesn't have the fix.  Also, I
couldn't find any tags resembling the cygwin gcc nomenclature, e.g. there
isn't a CVS tag cygwin-mingw-gcc-3_2-3_release for 3.2-3.

My general opinion is that it's better to get the source out of CVS than
rely on the src tarballs.  I've found this to be true with cygwin's gcc and
the cygwin .dll code (although, I'm still having problems building both of
them out of CVS, but at least their different problems :-).

Mike
> -----Original Message-----
> From: Anurag Sharma [mailto:[email-masked]]
> Sent: Tuesday, December 03, 2002 5:46 PM
> To: [email-masked]
> Subject: Re: gcc-3.2-3: bootstrap build fails (HAVE_DECL_GETOPT not in
> config.h?)
>
>
> Christopher,
>
> If it works for you. Great!
> The idea of my post was to ask the advice of those people who were having
> this problem. Resolution is necessary for those of us who are having this
> problem.
> I didn't request you in particular to help me, so if you can't offer any
> helpfull hints don't bother.
> I will move on.
>
> Regards,
> Anurag
>
> On Tue, 3 Dec 2002 11:35:17 -0500
> Christopher Faylor <[email-masked]> wrote:
>
> > On Tue, Dec 03, 2002 at 05:25:06PM +1100, Anurag Sharma wrote:
> > >Hi All,
> > >
> > >Has there been a resolution to this issue? I can't see any answeres in
> > >the previous posts.
> >
> > No resolution is necessary.  It works fine for me.  I'm the package
> > maintainer.
> >
> > If it doesn't work for you then make some obvious changes to the header
> > files and move on.
> >
> > cgf
> >
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/